Yandex Cloud
Documentation
PresentationContact UsTry it for free
© 2026 Direct Cursus Technology L.L.C.
Yandex Identity and Access Management
  • Secure use of Yandex Cloud
  • Access management
  • Pricing policy
  • Role reference
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • List
        • Get
        • Create
        • Update
        • Delete
        • ListOperations
        • ListScopes
  • Monitoring metrics
  • Audit Trails events
  • Release notes

In this article:

  • gRPC request
  • ListApiKeyScopesRequest
  • ListApiKeyScopesResponse
  1. API reference
  2. gRPC
  3. ApiKey
  4. ListScopes

Identity and Access Management API, gRPC: ApiKeyService.ListScopes

Written by
Yandex Cloud
Updated at December 15, 2025
View in Markdown
  • gRPC request
  • ListApiKeyScopesRequest
  • ListApiKeyScopesResponse

Retrieves the list of scopes.

gRPC requestgRPC request

rpc ListScopes (ListApiKeyScopesRequest) returns (ListApiKeyScopesResponse)

ListApiKeyScopesRequestListApiKeyScopesRequest

{
  "page_size": "int64",
  "page_token": "string"
}

Field

Description

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size,
the service returns a ListApiKeyScopesResponse.next_page_token
that can be used to get the next page of results in subsequent list requests.
Default value: 100.

Acceptable values are 0 to 1000, inclusive.

page_token

string

Page token. To get the next page of results, set page_token to the
ListApiKeyScopesResponse.next_page_token returned by a previous list request.

The maximum string length in characters is 2000.

ListApiKeyScopesResponseListApiKeyScopesResponse

{
  "scopes": [
    "string"
  ],
  "next_page_token": "string"
}

Field

Description

scopes[]

string

List of scopes

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListApiKeyScopesRequest.page_size, use the next_page_token as the value
for the ListApiKeyScopesRequest.page_token query parameter in the next list request.
Each subsequent list request will have its own next_page_token to continue paging through the results.

Was the article helpful?

Previous
ListOperations
Next
Overview
© 2026 Direct Cursus Technology L.L.C.